pulls in phonon-backend-null

Bug #376396 reported by Martin Pitt on 2009-05-14
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kdebase (Ubuntu)
High
Jonathan Riddell
Karmic
High
Jonathan Riddell
kdebase-runtime (Ubuntu)
High
Jonathan Riddell
Karmic
High
Jonathan Riddell

Bug Description

Binary package hint: kdebase

Package: kdebase-runtime
Depends: ... phonon-backend

This is a pure virtual dependency which wreaks havoc, since it causes phonon-backend-null to be pulled into the alternate CDs and breaks install:

May 14 08:16:18 in-target: Some packages could not be installed. This may mean that you have
May 14 08:16:18 in-target: requested an impossible situation or if you are using the unstable
May 14 08:16:18 in-target: distribution that some required packages have not yet been created
May 14 08:16:18 in-target: or been moved out of Incoming.
May 14 08:16:18 in-target: The following information may help to resolve the situation:
May 14 08:16:18 in-target:
May 14 08:16:18 in-target: The following packages have unmet dependencies.
May 14 08:16:18 in-target: phonon-backend-null: Conflicts: phonon-backend
May 14 08:16:18 in-target: E:
May 14 08:16:18 in-target: Broken packages
May 14 08:16:18 in-target: tasksel: aptitude failed (100)
May 14 08:16:18 main-menu[1447]: WARNING **: Configuring 'pkgsel' failed with error code 1

Please change it to prefer a real dependency (-xine?)

Martin Pitt (pitti) wrote :

For alpha-1 I added a workaround to the kubuntu seeds:

--- ship 2009-05-13 07:04:07 +0000
+++ ship 2009-05-14 08:53:13 +0000
@@ -102,3 +102,6 @@
 libavcodec cannot be shipped on CDs (cf. Ubuntu technical board resolution 2007-01-02).

  * !libavcodec*
+
+workaround for LP#376396
+ * !phonon-backend-null

Changed in kdebase (Ubuntu Karmic):
assignee: nobody → Jonathan Riddell (jr)
importance: Undecided → High
milestone: none → karmic-alpha-2
status: New → In Progress
Martin Pitt (pitti) wrote :

This is just a stopgap measure, it will still break netboot and DVD installs.

Jonathan Thomas (echidnaman) wrote :

Fixed in kdebase-runtime 4:4.2.90-0ubuntu2 by Riddell

Changed in kdebase (Ubuntu Karmic):
status: In Progress → Invalid
Changed in kdebase-runtime (Ubuntu Karmic):
assignee: nobody → Jonathan Riddell (jr)
importance: Undecided → High
milestone: none → karmic-alpha-2
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers